#ifndef _DFFILEDOCUMENT_H_
#define _DFFILEDOCUMENT_H_

#include "typedef.h"
#include "ErrorState.h"

// Basisklasse 
#include "IntelHex.h"

class CAESetupDoc;

class CDFFileDocument : public CIntelHex
{
public:
	CDFFileDocument();
	virtual ~CDFFileDocument();

	void Reset();
	inline INT32 GetLastErrorState() { return m_errorState; };
	inline UINT32 GetSizeData() { return m_sizeData; };

	INT32 Load(INT8 *fileName);
	INT32 Save(INT8 *fileName, CAESetupDoc *doc, UINT8 append = FALSE);

protected:
	INT32 m_errorState;
	UINT32 m_sizeData;
};

#endif
